@import 'variables';
@import './mixins/mixins.scss';

ul.cards {
  list-style: none;
  padding: 0;
  margin: 0 -15px;

  &::after {
    content: "";
    display: block;
    clear: left;
  }

  li.item {
    .wrapper {
      padding: 15px;
      position: relative;
      @media (min-width: $screen-xlg) {
        padding: 15px;
      }
    }

    .card {
      position: relative;
      border:2px solid lighten($color: $color-primary, $amount: 30);
      @include set_transition(all ease-in-out 0.1s);

      &.dark {
        border-color: lighten($color:$color-black, $amount: 20);
        box-shadow: none;
        &:hover {
          border-color: lighten($color:$color-black, $amount: 50);
        }
      }

      .title_shade {
        position: absolute;
        left: 10px;
        right: -10px;
        bottom: -10px;
        top: 10px;
        background-color: lighten($color: $color-primary, $amount: 46);
        z-index: -1;
      }

      .is_sponsored {
        position: absolute;
        top: 0;
        right: 0;
        font-size: small;
        padding: 2px 10px;
        color: $color-white;
        background-color: $color-primary;
        background: linear-gradient(180deg, $color-primary, darken($color-primary, 20));
        border-bottom-left-radius: 8px;
      }

      &:hover {
        border-color: $color-primary;
      }
    }

    .item_image {
      float: right;
      margin-top: 20px;
      margin-right: 10px;
      margin-left: 10px;
      width: 80px;
      height: 80px;
      z-index: 1;
      overflow: hidden;
      @media (min-width: $screen-md) {
        width: 60px;
        height: 80px;
      }
      img {
        display: block;
      }
    }

    .item_title {
      position: relative;
      padding: 20px 10px 20px 20px;
      z-index: 1;

      @media (min-width: $screen-xlg) {
        margin-right: 0.5em;
        margin-right: 80px;
      }

      a.title_link {
        font-size: 18px;
        line-height: 22px;
        @media (min-width: $screen-md) and (max-width: $screen-lg) {
          font-size: 18px;
          line-height: 24px;
        }
        @media (min-width: $screen-lg) and (max-width: $screen-xlg) {
          font-size: 20px;
          line-height: 28px;
        }
        @media (min-width: $screen-xlg) {
          font-size: 18px;
          line-height: 22px;
        }
        span.title_content_group {
          z-index: 1;
          @media (min-width: $screen-md) and (max-width: $screen-lg) {
            right: 25px;
            bottom: 25px;
            left: 25px;
          }
          @media (min-width: $screen-lg) and (max-width: $screen-xlg) {
            right: 30px;
            bottom: 30px;
            left: 30px;
          }
          span.alt_title {
            display: inline-block;
            padding: 2px 5px;
            margin-bottom: 5px;
            font-size: 12px;
            line-height: 14px;
            text-transform: uppercase;
            background-color: lighten($color: $color-primary, $amount: 25);
            color: $color-white;
            &.dark {
              color: darken($color: $color-white, $amount: 50);
              background-color: lighten($color: $color-black, $amount: 15);
            }
          }
          span.title {
            display: block;
            color: darken($color: $color-primary, $amount: 20);
            text-shadow: 1px 2px 1px lighten($color: $color-primary, $amount: 40);
            &.dark {
              text-shadow: none;
              color: $color-primary;
            }
          }
        }
      }
    }
  }
}